Package org.eclipse.net4j.spi.db.ddl

# Interface InternalDBIndexField

All Superinterfaces:
  `Comparable<IDBSchemaElement>`, `org.eclipse.net4j.util.container.IContainer<IDBSchemaElement>`, `IDBElement`, `IDBIndexField`, `IDBNamedElement`, `IDBSchemaElement`, `org.eclipse.net4j.util.event.INotifier`, `InternalDBElement`, `InternalDBNamedElement`, `InternalDBSchemaElement`, `org.eclipse.net4j.util.collection.PositionProvider`

public interface InternalDBIndexField extends IDBIndexField, InternalDBSchemaElement

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

`IDBSchemaElement.SchemaElementType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`IDBIndexField`
`getWrapper()`
`void`
`setPosition(int position)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBIndexField

`getField, getIndex, getParent`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

`getName`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

`accept, getElement, getFullName, getSchema, getSchemaElementType, remove, setName`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBNamedElement

`dump, dump, dumpToString, setName`

### Methods inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBSchemaElement

`setWrapper`

### Methods inherited from interface org.eclipse.net4j.util.collection.PositionProvider

`getPosition`

## Method Details

### getWrapper

IDBIndexField getWrapper()

Specified by:
  `getWrapper` in interface `InternalDBSchemaElement`

### setPosition

void setPosition(int position)